<h1 mat-dialog-title>Add Task Form</h1>
<div mat-dialog-content>
  <form [formGroup]="taskForm">
    <mat-form-field appearance="outline">
      <mat-label>Task</mat-label>
      <input formControlName="Task" matInput placeholder="Task">
    </mat-form-field>
  
    
  
    <mat-form-field appearance="outline">
      <mat-label>Description</mat-label>
      <input formControlName="Description" matInput placeholder="Description">
    </mat-form-field>

    
  
    
  </form>

</div>

<div mat-dialog-action [align]="'end'">
  <button   mat-raised-button color="warn" mat-dialog-close>Close</button>
  <button style="margin-left: 8px;" mat-raised-button color="primary" (click)="addTask()">{{actionBtn}}</button>
  
  

</div>